////////////////////////////////////////////////////////////////////
// Entete de traitement des accents de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		09/10/03
// Dernire modification :	13/10/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"
#include "Table.h"

// Constantes
#define ACC_NOM_MAX		100
#define ACC_MAX_NB		100
#define ACC_LIGNE_MAX	100

// Caractristiques des accents
#define ACC_DIR			"D0000\\D0000\\"
#define ACC_COLONNE		15
#define ACC_ESPACE		' '
#define ACC_HORIZ		'-'
#define ACC_INTER		'+'
#define ACC_VERT		'|'
#define ACC_CODE		0x12

// Dclarations
void Accent_Infos (void);
void Accent_Regroupe (void);
void Accent_Partage (void);
