////////////////////////////////////////////////////////////////////
// Entete d'utilisation de LZSS pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		09/09/03
// Dernire modification :	09/09/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdio.h>
#include "Extensions.h"
#include "General.h"

// Type de donnes pour les fichiers binaires
typedef struct {
	FILE *fich;
	_int8 fin;
	_int8 bit;
	unsigned _int8 octet;
} Bin_TFich;

// Declarations
_int32 Bread_I (_int8 nb, Bin_TFich *bin_f);
_int32 Bread_M (_int8 nb, Bin_TFich *bin_f);
void Bwrite_I (_int32 val, _int8 nb, Bin_TFich *bin_f);
void Bwrite_M (_int32 val, _int8 nb, Bin_TFich *bin_f);
Bin_TFich *Bopen (char *fich, char *params);
void Bclose (Bin_TFich *bin_f, int type);
void Bacheve (Bin_TFich *bin_f);
_int32 Btell (Bin_TFich *bin_f);
