////////////////////////////////////////////////////////////////////
// Entete d'utilisation de DRP pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		05/08/03
// Dernire modification :	06/08/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <direct.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define DRP_NOM_MAX			100
#define DRP_FICHS_INTER		10
#define DRP_FICHS_NOM		100
#define DRP_LIGNE_MAX		100
#define DRP_BUFFER			2048

// Constantes de la structure
// ou limitations
#define DRP_ENTETE			12
#define DRP_DESCR			12
#define DRP_FIN				12
#define DRP_FICHS_NB		200

// Declarations
void Drp_Infos (char *dir, char *fich);
void Drp_Infos_Vide (void);
void Drp_Decompression (char *dir, int fich);
void Drp_D_Exec (char* fich);
void Drp_Compression (char *dir, int fich);
void Drp_C_Exec (char* fich);