////////////////////////////////////////////////////////////////////
// Entete de dump de fichiers pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		30/07/03
// Dernire modification :	30/07/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"
#include "Iso.h"

// Constantes
#define DUMP_ROOMS_NB		6000
#define DUMP_ROOMS_INTER	10
#define DUMP_ROOMS_NOM		100
#define DUMP_NOM_MAX		100
#define DUMP_LIGNE_MAX		100

// Declarations
void Dump_Initialisation (void);
void Dump_Room (unsigned _int16 room_num);
void Dump_Exec (char* rooms);
void Dump_Entete (void);
void Dump_Pointeurs (void);
void Dump_Sup_Room (unsigned _int16 room_num);
void Dump_Sup_Exec (char* rooms);
