////////////////////////////////////////////////////////////////////
// Programme de recherche de fichier pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		01/08/03
// Dernire modification :	24/07/04
////////////////////////////////////////////////////////////////////

// Entete
#include "Patcheur.h"

// Caractre de compltion
#define FICH_COMPLETION	0x77

/*------------------------------------------------------------------
  Compltion d'un fichier pour qu'il passe sur PSX
--------------------------------------------------------------------
 <- fich = fichier  complter
------------------------------------------------------------------*/
int Fichier_Completer(char *fich)
{
	// Fichier
	FILE *f;

	f = fopen(fich,"rb+");
	// Test d'ouverture
	if (f==NULL)
		return ERROR_FILE;

	fseek(f,0L,SEEK_END);
	// Compltion effective
	while(ftell(f)%4!=0)
		fputc(FICH_COMPLETION,f);
	fclose(f);

	return ERROR_NONE;
}
