////////////////////////////////////////////////////////////////////
// Entete d'utilisation de LZSS pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		09/09/03
// Dernire modification :	09/09/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"
#include "Binaire.h"

// Constantes
#define LZSS_NOM_MAX		100
#define LZSS_FICHS_INTER	10

// Constantes de la structure
// ou limitations
#define LZSS_BUFFER_B		12
#define LZSS_BUFFER			4096
#define LZSS_CHAINE_B		4
#define LZSS_CHAINE			17
#define LZSS_LG_MIN			2
#define LZSS_ENTETE			4
#define LZSS_INCONNU		4
#define OCTET				1
#define CODE				0

// Declarations
void Lzss_Decompression (char *dir, int fich);
void Lzss_D_Exec (char* fich);
void Lzss_Compression (char *dir, int fich);
void Lzss_C_Exec (char* fich);