////////////////////////////////////////////////////////////////////
// Entete des tables de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		05/08/03
// Dernire modification :	06/08/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <direct.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define TBL_NOM_MAX			100
#define TBL_LIGNE_MAX		100
#define TBL_TXT_MAX			100
#define TBL_ELMTS_NB		256
#define TBL_CHAINE_MAX		20

// Chaines et caractres spciaux
#define TBL_SPEC			'\\'
#define TBL_PTR				"Ptr"
#define TBL_SAUT			"\n"

// Choix du dossier
#define TBL_IN				0
#define TBL_OUT				1

// Codes de retour
#define R_STD				0
#define R_PTR				1
#define R_SAUT				2
#define R_FIN				3

// Dclarations
void Tbl_Charge(char *nom, int inout);
void Tbl_Libere(void);
int Tbl_Lecture(FILE *in_f, FILE *out_f);
int Tbl_Ecriture(char *ligne, FILE *out_f);
int Tbl_Ecrit_Elem(char *chaine, FILE *out_f);
