////////////////////////////////////////////////////////////////////
// Entete d'utilisation des Rooms de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		08/09/03
// Dernire modification :	14/10/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Scenar.h"
#include "Lzss.h"
#include "Compact.h"
#include "Dump.h"
#include "Reinsertion.h"
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define ROOMS_NOM_MAX		100
#define ROOMS_FICHS_NB		1000
#define ROOMS_LIGNE_MAX		20

// Caractristiques du script
#define ROOMS_SUFFIXE		"_Rooms"
#define ROOMS_LECTURE		"L"
#define ROOMS_ECRITURE		"E"

// Dclarations
void Rooms_Infos (char *infos);
void Rooms_Dump (void);
void Rooms_Copie_I (void);
void Rooms_Cpt_D (void);
void Rooms_Lzss_D (void);
void Rooms_Extraction (void);
void Rooms_Reinsertion (void);
void Rooms_Lzss_C (void);
void Rooms_Cpt_C (void);
void Rooms_Copie_O (void);
void Rooms_Rein (void);
