////////////////////////////////////////////////////////////////////
// Entete des accents automatiques de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		25/04/04
// Dernire modification :	25/04/04
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <direct.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define AUTOA_NOM_MAX			100
#define AUTOA_LIGNE_MAX			400
#define AUTOA_TXT_MAX			100
#define AUTOA_ELMTS_NB			50
#define AUTOA_MOTIFS_NB			100
#define AUTOA_CHAINE_MAX		20

// Caractristiques du script
#define AUTOA_SCRIPT		"Script"
#define AUTOA_TRAD			"_Trad3"
#define AUTOA_TEMP			"_Temp"
#define AUTOA_ACCENTS		"_SansAccents"
#define AUTOA_LARGEUR		50
#define AUTOA_TRAD_CAR		'$'
#define REP_IDEM_CAR		'-'
#define AUTOA_SPEC_CAR		'*'
#define AUTOA_DEB_1			'+'
#define AUTOA_DEB_A			'|'

// Chaines et caractres spciaux
#define AUTOA_SPEC				'\\'
#define AUTOA_EGALE				'='
#define AUTOA_MAJ				"Maj0"
// Symboles d'ensembles de caractres
#define AUTOA_SNIMPORTE			'+'
#define AUTOA_SLETTRE			'*'
#define AUTOA_SCONSONNE			'$'
#define AUTOA_SVOYELLE			'%'
#define AUTOA_SSEPAR			'.'
// Ensembles de caractres
#define AUTOA_CONSONNE			"bcdfghjklmnpqrstvwxz"
#define AUTOA_VOYELLE			"aeiouy"
#define AUTOA_SEPAR				" .?!,-'"

// Dbut de chane
#define AUTOA_DEBUT				1

// Choix du dossier
#define AUTOA_IN				0
#define AUTOA_OUT				1

// Dclarations
void AutoA_Charge(int inout);
void AutoA_Libere(void);
void AutoA_Supprime_Ligne(char *ligne, FILE *out_f);
void AutoA_Supprime();
void AutoA_Insere();
