////////////////////////////////////////////////////////////////////
// Entete de modification de coordonnes de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		11/08/03
// Dernire modification :	17/08/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define COORD_NOM_MAX		100
#define COORD_DESC_MAX		100
#define COORD_LIGNE_MAX		100

// Constantes de la structure
// ou limitations
#define COORD_ENTETE		12
#define COORD_FIN			12
#define COORD_INFO			12
#define COORD_ELMTS_NB		500

// Caractres repres base 10/16
#define COORD_16_O			'('
#define COORD_16_F			')'
#define COORD_10_O			'<'
#define COORD_10_F			'>'

// Declarations
void Coord_Infos (char *dir, char *fich);
void Coord_Infos_Vide (void);
void Coord_Dump (char *entree);
void Coord_Rein (char *entree);
void Coord_Copie_10 (FILE *in_f, FILE *out_f);
void Coord_Copie_16 (int nb, FILE *in_f, FILE *out_f);
void Coord_Fin_Ligne(FILE *fich);
void Coord_Rein_10 (FILE *in_f, FILE *out_f);
void Coord_Rein_10 (FILE *in_f, FILE *out_f);
void Coord_Image_I (FILE *in_f, FILE *out_f);
void Coord_Image_O (FILE *in_f, FILE *out_f);
