////////////////////////////////////////////////////////////////////
// Entete d'utilisation de donnees brutes pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		26/05/04
// Dernire modification :	26/05/04
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <direct.h>
#include <process.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"
#include "Ips.h"

// Constantes
#define LST_NOM_MAX			100
#define LST_LIGNE_MAX		100

// Informations sur les fichiers
#define LST_SUFFIXE		"_Part"

// Commandes  afficher
#define LST_DIR_SUFF "_"
#define LST_CGROUP	"group : %s\n"
#define LST_CEND	"end\n"
#define LST_TITRE	"%s %03d"
#define LST_CCPTC	"cptC : %04d\n"
#define LST_CCPTD	"cptD : %04d\n"
#define LST_CEXTR	"extr : %04d_/%04d\n"
#define LST_CDUMP	"dump : %04d\n"
#define LST_CREIN	"rein : %04d\n"
#define LST_TAB		"  "
#define LST_TAB_MIN 1

// Commandes pour la gnration de fichiers
#define LST_CMOTIF	" extr : %s"

// Spcial persos
#define LST_PERSO_DEB	75
#define LST_PERSO_FIN	125
#define LST_PERSO_NOM	"Persos"
#define LST_PERSO_FICH	0

// Declarations
void Lst_Genere (char *fich);
void Lst_Persos (void);
void Lst_Fichiers (char *dossier);
