////////////////////////////////////////////////////////////////////
// Entete de regroupement/partage du script de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		14/09/03
// Dernire modification :	14/09/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define PART_NOM_MAX		100
#define PART_FICHS_NB		1000
#define PART_LIGNE_MAX		400

// Caractristiques du script
#define PART_SUFFIXE	"_Part"
#define PART_LARGEUR	50
#define PART_SPEC_CAR	'*'
#define PART_DEB_1		'+'
#define PART_DEB_A		'|'
#define PART_VIDE1		"%05d (L:00008.H:00001)\n"
#define PART_VIDE2		"+-\n"
#define PART_VIDE3		"|\n"

// Caratristiques des listings
#define PART_BLOCS		"_Listing"
#define PART_REPART		"_Repart"
#define PART_REPARTC_L	"%05d : %03d"
#define PART_REPARTC_E	"%05d : %03d %s\n"
#define PART_PERSOS_MAX	400

// Dclarations
void Part_Infos (void);
void Part_Regroupe (char *infos);
void Part_Partage (char *infos);