////////////////////////////////////////////////////////////////////
// Entete de reinsertion de fichiers pour Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		30/07/03
// Dernire modification :	30/07/03
////////////////////////////////////////////////////////////////////

// Inclusions
#include <io.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"
#include "Iso.h"

// Constantes
#define REIN_ROOMS_NB		6000
#define REIN_ROOMS_INTER	10
#define REIN_ROOMS_NOM		100
#define REIN_NOM_MAX		100
#define REIN_LIGNE_MAX		100

// Declarations
void Reinsertion_Initialisation (void);
void Reinsertion_Pointeurs (void);
void Reinsertion_Pointeurs_Modif (void);
void Reinsertion_Room (unsigned _int16 room_num);
void Reinsertion_Exec (char* rooms);