////////////////////////////////////////////////////////////////////
// Entete de regroupement/partage par personnage de Chrono Cross
////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// Nemesis pour Terminus Traduction (tt_nemesis@yahoo.fr)
// Date de cration :		28/01/04
// Dernire modification :	28/01/04
////////////////////////////////////////////////////////////////////

// Inclusions
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "Extensions.h"
#include "Fichiers.h"
#include "General.h"

// Constantes
#define REP_NOM_MAX		100
#define REP_FICHS_NB	1000
#define REP_LIGNE_MAX	400
#define REP_TRAD_MAX	10

// Caractristiques du script
#define REP_GROUPE		'/'
#define REP_SUFFIXE		"_Repart"
#define REP_TRAD		"_Trad"
#define REP_CORRECT		"_Corrections"
#define REP_LARGEUR		50
#define REP_SPEC_CAR	'*'
#define REP_DEB_1		'+'
#define REP_DEB_A		'|'

// Dtermination d'action effectue
#define REP_TRAD_CAR	'$'
#define REP_IDEM_CAR	'-'
#define REP_TRADUIT		2
#define REP_CORRIGE		1
#define REP_RIEN		0

// Caratristiques des listings
#define REP_BLOCS		"_Listing"
#define REP_REPART		"_Repart"
#define REP_PERSOS_MAX	400

// Dclarations
void Repart_Infos (char *fich);
void Repart_Partage (char *fich);
void Repart_Regroupe (char *fich);
void Repart_Retours (char *fich);